Cannot Install Atom package

I have everything installed except Atom package.
After I type this line.
~/.dotfiles/bin/install_dotfiles

I got

(erb):21:in ``’: No such file or directory - npm (Errno::ENOENT)
from (erb):21:in text' from /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/erb.rb:849:ineval’
from /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/erb.rb:849:in result' from /Users/sanpakng/.dotfiles/bin/.install_dotfiles.rb:43:intext’
from /Users/sanpakng/.dotfiles/bin/.install_dotfiles.rb:74:in compile_diff' from /Users/sanpakng/.dotfiles/bin/.install_dotfiles.rb:47:indiff’
from /Users/sanpakng/.dotfiles/bin/.install_dotfiles.rb:51:in changed?' from /Users/sanpakng/.dotfiles/bin/.install_dotfiles.rb:121:inselect’
from /Users/sanpakng/.dotfiles/bin/.install_dotfiles.rb:121:in main' from /Users/sanpakng/.dotfiles/bin/.install_dotfiles.rb:161:in

I would like some help.

Try installing node first.

/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
brew install node

The bash path wasn’t pointing to /Users/sanpakng/.rbenv/shims/ruby
After I added
export PATH="$HOME/.rbenv/bin:$PATH"
eval "$(rbenv init -)"
in ~/.bash_profile. Now I have the ruby 2.3.1p112 working.

Do you I still need /usr/bin/ruby -e “$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)”?

I feel like I can just do brew install node

the first line is for installing homebrew. if you already have it, just do brew install node.

yup. done. and then?

the install script should work. if not, try opening a new terminal.

yes, Node is installed. Now I have all the atom packages?

run install_requirements for that.

"install_requirements "?

command not found

~/.dotfiles/bin/install_requirements

type this line in the terminal?

“~/.dotfiles/bin/install_requirements”?